BuildRequires: /proc
BuildRequires: jpackage-1.5-compat
Epoch: 1

%define gcj_support 0
%define eclipse_base    %{_datadir}/eclipse

Name:           eclipse-changelog
Version:        2.5.1
Release:        alt2_2jpp5.0
Summary:        Eclipse ChangeLog plug-in

Group:          Development/Java
License:        Eclipse Public License 
URL:            http://sources.redhat.com/eclipse

# This tarball was generated like so:
#
# mkdir eclipse-changelog-src-2.5.1
# cd eclipse-changelog-src-2.5.1
# for f in \
# org.eclipse.linuxtools.changelog.core \
# org.eclipse.linuxtools.changelog.doc \
# org.eclipse.linuxtools.changelog.cparser \
# org.eclipse.linuxtools.changelog.javaparser \
# org.eclipse.linuxtools.changelog.cparser-feature \
# org.eclipse.linuxtools.changelog.javaparser-feature \
# org.eclipse.linuxtools.changelog-feature \
# do \
#  svn export \
#  svn://anonymous@dev.eclipse.org/svnroot/technology/org.eclipse.linuxtools/changelog/tags/R2_5_1/$f;
# done
# zip -r eclipse-changelog-src-2.5.1.zip *

Source0:        http://sourceware.org/eclipse/changelog/%{name}-src-%{version}.tar.bz2


BuildRequires: eclipse-pde >= 0:3.3.0
BuildRequires: eclipse-cdt >= 1:4.0.0
BuildRequires: eclipse-cvs-client >= 0:3.3.0
%if %{gcj_support}
BuildRequires: gcc-java >= 4.0.2
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%else
%endif

# These plugins are really noarch but they need cdt which 
# we only build on these architectures.
%if %{gcj_support}
ExclusiveArch: %{ix86} x86_64 ppc ia64
%else
ExclusiveArch: %{ix86} x86_64 ppc ia64
%endif

Requires: eclipse-platform >= 0:3.3.0
Requires: eclipse-cvs-client >= 0:3.3.0
BuildArch: noarch

%description
The Eclipse ChangeLog package contains Eclipse features and plugins that are
useful for ChangeLog maintenance within the Eclipse IDE.

%package cdt
Requires: eclipse-cdt >= 1:4.0.0
Requires: %{name} = %{epoch}:%{version}-%{release}
Summary: C/C++ source parser for ChangeLog
Group: Development/Java

%description cdt
Parser for C/C++ files used when writing locations in ChangeLog entries.

%package jdt
Requires: eclipse-jdt >= 0:3.3.0
Requires: %{name} = %{epoch}:%{version}-%{release}
Summary: Java source parser for ChangeLog
Group: Development/Java

%description jdt
Parser for Java files used when writing locations in ChangeLog entries.

%prep
%setup -q -c -n eclipse-changelog-%{version}

%build
# See comments in the script to understand this.
/bin/sh -x %{_datadir}/eclipse/buildscripts/copy-platform SDK %{eclipse_base} cdt
SDK=$(cd SDK > /dev/null && pwd)

# Eclipse may try to write to the home directory.
mkdir home
homedir=$(cd home > /dev/null && pwd)

# build the main ChangeLog feature
java -cp $SDK/startup.jar                              \
     -Dosgi.sharedConfiguration.area=%{_libdir}/eclipse/configuration  \
     org.eclipse.core.launcher.Main                    \
     -application org.eclipse.ant.core.antRunner       \
     -Duser.home=$homedir                              \
     -application org.eclipse.ant.core.antRunner       \
     -Dtype=feature                                    \
     -Did=org.eclipse.linuxtools.changelog                 \
     -DsourceDirectory=$(pwd)                          \
     -DbaseLocation=$SDK                               \
     -Dbuilder=%{eclipse_base}/plugins/org.eclipse.pde.build/templates/package-build  \
     -f %{eclipse_base}/plugins/org.eclipse.pde.build/scripts/build.xml

# build the cdt ChangeLog feature
java -cp $SDK/startup.jar                              \
     -Dosgi.sharedConfiguration.area=%{_libdir}/eclipse/configuration  \
     org.eclipse.core.launcher.Main                    \
     -application org.eclipse.ant.core.antRunner       \
     -Duser.home=$homedir                              \
     -application org.eclipse.ant.core.antRunner       \
     -Dtype=feature                                    \
     -Did=org.eclipse.linuxtools.changelog.cparser-feature \
     -DsourceDirectory=$(pwd)                          \
     -DbaseLocation=$SDK                               \
     -Dbuilder=%{eclipse_base}/plugins/org.eclipse.pde.build/templates/package-build  \
     -f %{eclipse_base}/plugins/org.eclipse.pde.build/scripts/build.xml

# build the jdt ChangeLog feature
java -cp $SDK/startup.jar                              \
     -Dosgi.sharedConfiguration.area=%{_libdir}/eclipse/configuration  \
     org.eclipse.core.launcher.Main                    \
     -application org.eclipse.ant.core.antRunner       \
     -Duser.home=$homedir                              \
     -application org.eclipse.ant.core.antRunner       \
     -Dtype=feature                                    \
     -Did=org.eclipse.linuxtools.changelog.javaparser-feature \
     -DsourceDirectory=$(pwd)                          \
     -DbaseLocation=$SDK                               \
     -Dbuilder=%{eclipse_base}/plugins/org.eclipse.pde.build/templates/package-build  \
     -f %{eclipse_base}/plugins/org.eclipse.pde.build/scripts/build.xml

%install
install -d -m 755 $RPM_BUILD_ROOT%{eclipse_base}
unzip -q -d $RPM_BUILD_ROOT%{eclipse_base}/.. \
 build/rpmBuild/org.eclipse.linuxtools.changelog.zip
unzip -q -d $RPM_BUILD_ROOT%{eclipse_base}/.. \
 build/rpmBuild/org.eclipse.linuxtools.changelog.cparser-feature.zip
unzip -q -d $RPM_BUILD_ROOT%{eclipse_base}/.. \
 build/rpmBuild/org.eclipse.linuxtools.changelog.javaparser-feature.zip

%if %{gcj_support}
  aot-compile-rpm
%endif

%clean

%if %{gcj_support}
%post -p %{_bindir}/rebuild-gcj-db
%postun -p %{_bindir}/rebuild-gcj-db
%endif

%files jdt
%dir %{eclipse_base}/features/org.eclipse.linuxtools.changelog.javaparser-feature_*
%doc %{eclipse_base}/features/org.eclipse.linuxtools.changelog.javaparser-feature_*/epl-v10.html
%{eclipse_base}/features/org.eclipse.linuxtools.changelog.javaparser-feature_*/feature.xml
%{eclipse_base}/features/org.eclipse.linuxtools.changelog.javaparser-feature_*/META-INF
%{eclipse_base}/plugins/org.eclipse.linuxtools.changelog.parsers.java_*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}/org.eclipse.linuxtools.changelog.parsers.java_*
%endif

%files cdt
%dir %{eclipse_base}/features/org.eclipse.linuxtools.changelog.cparser-feature_*
%doc %{eclipse_base}/features/org.eclipse.linuxtools.changelog.cparser-feature_*/epl-v10.html
%{eclipse_base}/features/org.eclipse.linuxtools.changelog.cparser-feature_*/feature.xml
%{eclipse_base}/features/org.eclipse.linuxtools.changelog.cparser-feature_*/META-INF
%{eclipse_base}/plugins/org.eclipse.linuxtools.changelog.cparser_*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}/org.eclipse.linuxtools.changelog.cparser_*
%endif

%files
%{eclipse_base}/features/org.eclipse.linuxtools.changelog_*
%{eclipse_base}/plugins/org.eclipse.linuxtools.changelog.core_*
%{eclipse_base}/plugins/org.eclipse.linuxtools.changelog.doc_*
%doc %{eclipse_base}/features/org.eclipse.linuxtools.changelog_*/epl-v10.html
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/org.eclipse.linuxtools.changelog.core_*
%endif

%changelog
* Tue Dec 04 2007 Igor Vlasenko <viy@altlinux.ru> 1:2.5.1-alt2_2jpp5.0
- set noarch

* Fri Nov 30 2007 Igor Vlasenko <viy@altlinux.ru> 1:2.5.1-alt1_2jpp5.0
- converted from JPackage by jppimport script

